View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013347LazarusIDEpublic2009-03-18 11:222013-09-03 12:07
ReporterSayyid Ibnu Husein Alatas 
Assigned ToMartin Friebe 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.9.27 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0013347: Ability to export syntax highlighting source code to HTML via IDE
DescriptionAn effort to integrate the JEDI Code Format into IDE has been starting; and SynEdit has TSynExporterHTML component. I Think, it will be nice if IDE also has a feature to export source code to HTML in the Tools menu.
TagsNo tags attached.
Fixed in Revision36523
LazTarget1.4
Widgetset
Attached Files

- Relationships

-  Notes
(0026214)
Bart Broersma (developer)
2009-03-18 13:37

I think it is unnecessary bloating inside the IDE (no offence intended).
I'm not unsympathetic to the idea of a simple tool to make it possible to export the sourcecode for use on the web (I did write a pas-to-html/pas-to-rtf parser in Delphi long time ago).
Maybe you could write an external tool that can be added to the tools section instead?
(0026220)
Sayyid Ibnu Husein Alatas (reporter)
2009-03-18 16:56

Bart, your idea is reasonable, but I just take future development possibility into consideration. That is, if the feature is integrated into IDE like JEDI Code Format, possibly there is an interest to extent it like JCF. I mean, there is a submenu contains items (just say) "Current Editor Window", "All Files in Project", "All Open Windows", etc.

Another reason is that I regard this feature as a neighbour of JCF.

However, that is my subjective view.
(0026221)
Martin Friebe (manager)
2009-03-18 17:20

The solution can be found in the middle: It can be written as a package, then those who like it can install it and it will be in the IDE, and everyone else need not to worry.

If anyone likes to contribute, and needs help: Please use the mailinglist.
(0026222)
Sayyid Ibnu Husein Alatas (reporter)
2009-03-18 18:06
edited on: 2009-03-18 18:09

Martin, it's so a wise solution. It reminds me to the "Source Export" feature of GExperts in Delphi.


- Issue History
Date Modified Username Field Change
2009-03-18 11:22 Sayyid Ibnu Husein Alatas New Issue
2009-03-18 13:37 Bart Broersma Note Added: 0026214
2009-03-18 16:56 Sayyid Ibnu Husein Alatas Note Added: 0026220
2009-03-18 17:20 Martin Friebe Note Added: 0026221
2009-03-18 17:20 Martin Friebe LazTarget => post 1.2
2009-03-18 17:20 Martin Friebe Status new => acknowledged
2009-03-18 18:06 Sayyid Ibnu Husein Alatas Note Added: 0026222
2009-03-18 18:09 Sayyid Ibnu Husein Alatas Note Edited: 0026222
2012-04-02 17:37 Martin Friebe Status acknowledged => assigned
2012-04-02 17:37 Martin Friebe Assigned To => Martin Friebe
2012-04-02 17:38 Martin Friebe Fixed in Revision => 36523
2012-04-02 17:38 Martin Friebe Status assigned => resolved
2012-04-02 17:38 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2012-04-02 17:38 Martin Friebe Resolution open => fixed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4



MantisBT 1.2.12[^]
Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker